LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 03-04-2004, 09:37 AM   #1
blaroe
Member
 
Registered: Jun 2003
Location: Surrey, England
Distribution: Ubuntu Edgy
Posts: 67

Rep: Reputation: 15
spamassassin fails after update


In the last apt-get update I did, I think there were some updates to perl, but I'm not sure. Anyhow, my previously function spamassassin install now fails and spits out the following ugly message:

Code:
Starting spamd: Can't locate HTML/Parser.pm in @INC (@INC contains: ../lib /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/5.8.3/i386-linux-thread-multi /usr/lib/perl5/5.8.3 /<and so on> /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin/HTML.pm line 7.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin/HTML.pm line 7.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin/PerMsgStatus.pm line 42.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin/PerMsgStatus.pm line 42.
Compilation failed in require at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin.pm line 62.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.1/Mail/SpamAssassin.pm line 62.
Compilation failed in require at /usr/bin/spamd line 33.
BEGIN failed--compilation aborted at /usr/bin/spamd line 33.
I'm a layman at perl, but it looks like some include files are no longer avalaible. Has anybody had a similar problem and if so how did you fix it?

Thanks in advance,
bl
 
Old 03-04-2004, 09:39 AM   #2
blaroe
Member
 
Registered: Jun 2003
Location: Surrey, England
Distribution: Ubuntu Edgy
Posts: 67

Original Poster
Rep: Reputation: 15
additioan info

Oops - forgot to mention:

Fedora Core 1
Perl 5.8.3

Too used to posting in the Fedora forum.

bl
 
Old 04-14-2004, 12:02 PM   #3
tb2508
LQ Newbie
 
Registered: Aug 2003
Posts: 1

Rep: Reputation: 0
Angry spamassassin perl error

Yeah man, I get this same error. Haven't found a fix to this yet.... I'm using Perl 5.8, Redhat 9, ........
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
yum update and SpamAssassin dependancy vara Red Hat 1 05-17-2005 10:55 PM
PERL update -> broke Spamassassin froedi Linux - Software 0 01-23-2005 09:08 AM
trying to update via yum and update fails lnxmacusr Fedora 4 12-17-2004 04:12 PM
Spamassassin install fails in Slack 10.0 solvnetguru Slackware 5 12-09-2004 09:42 AM
apt update fails s_diptiman Linux - Newbie 0 10-22-2003 05:37 AM


All times are GMT -5. The time now is 11:05 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration